<?php
    /**
	* Artikelspezifikationen in der Artikelübersicht anzeigen
	* Verwendung z. B. bei Artikellisten in Verbindung mit Artikelspezifikationen
	* contenido 4.9.x
	* chain: Contenido.ArticleList.Columns
	* chain: Contenido.ArticleList.RenderColumn	
	* --------------------------------------------------------------------------------------------------
	* Installation: 
	* Ordner artikel_spec in /contenido/includes/chains kopieren
	* 
    * Einbinden der Chains in die Datei /data/condig/production/config.chains.load.php":
    * cInclude('includes', 'chains/artikel_spec/config.chain.php');
	* $_cecRegistry->addChainFunction('Contenido.ArticleList.Columns', 'myLabel');
	* $_cecRegistry->addChainFunction('Contenido.ArticleList.RenderColumn', 'mySpec');	
	* --------------------------------------------------------------------------------------------------
	* autor : josh - info@webdesign-ahlen.de
	*
	*/	
	
if(!defined('CON_FRAMEWORK')) {
    die('Illegal call');
}

//Ueberschrift
function myLabel($value) {
	// Which columns to display?
	$listColumns = array(
    "mark" => i18n("Mark"),
    "start" => i18n("Article"),
    "title" => i18n("Title"),
    "artspec" => "Artikelspezifikation",	
    "changeddate" => i18n("Changed"),
    "publisheddate" => i18n("Published"),
    "sortorder" => i18n("Sort order"),
    "template" => i18n("Template"),
    "actions" => i18n("Actions")
	);

    return $listColumns;
}

//Artikelspezifikation
function mySpec($value) {
	global $idart, $cfg;
	$db = cRegistry::getDb();
	
        $sql = "SELECT
					a.idart,
                    a.artspec,
					b.idartspec,
					b.artspec AS artspec
                 FROM
                    " . $cfg["tab"]["art_lang"] . " AS a,
                    " . $cfg["tab"]["art_spec"] . " AS b
                 WHERE
                    a.idart     = " . $idart . " and 
					b.idartspec = a.artspec";

		// Getting data
        $db->query($sql);
		$db->nextRecord();
		$artspec = $db->f("artspec");

    return $artspec;
}
?>